import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';

// tests for TourDetails
void main() {
  final instance = TourDetailsBuilder();
  // TODO add properties to the builder and call build()

  group(TourDetails, () {
    // BuiltList<Article> articles
    test('to test the property `articles`', () async {
      // TODO
    });

    // BuiltList<CustomerContact> customerContacts
    test('to test the property `customerContacts`', () async {
      // TODO
    });

    // BuiltList<Customer> customers
    test('to test the property `customers`', () async {
      // TODO
    });

    // BuiltList<DeliveryWithItems> deliveries
    test('to test the property `deliveries`', () async {
      // TODO
    });

    // Alle Notizen aller Lieferungen dieser Tour, in einer Liste. Die App joint clientseitig per `delivery_id`. Reihenfolge: pro Lieferung aufsteigend nach `created_at`.
    // BuiltList<DeliveryNote> notes
    test('to test the property `notes`', () async {
      // TODO
    });

    // Tour tour
    test('to test the property `tour`', () async {
      // TODO
    });

    // BuiltList<Warehouse> warehouses
    test('to test the property `warehouses`', () async {
      // TODO
    });

  });
}
